#!/user/bin/env python 


import smbus
import time
import sys
import getopt
import LCD1602

bus = smbus.SMBus(1)    
duk = LCD1602.lcd1602()  
address_ad = 0x68
address_lcd = 0x27


if __name__ == '__main__':
    
    while True:
        
        duk.init_lcd()
        getcode = bus.read_i2c_block_data(address_ad,0x88,2)
        high = getcode[0]
        low = getcode[1]
        one = high*256+low-144
        ea = one*0.00006277779
        if(ea <= 0):
            ea = 0.00
        ea = str(ea)
        ea = ea[0:6]
        duk.print_lcd(0,0,'Current:')
        duk.print_lcd(8,0,ea)
        duk.print_lcd(14,0,'mA')

        
        getcode = bus.read_i2c_block_data(address_ad,0xA8,2)
        high = getcode[0]
        low = getcode[1]
        one = high*256+low-144
        ea = one*0.00006277779
        if(ea <= 0):
            ea = 0.00
        ea = str(ea)
        ea = ea[0:6]
        duk.print_lcd(0,1,'Voltage:')
        duk.print_lcd(8,1,ea)
        duk.print_lcd(15,1,'V')        

        
        time.sleep(1)
